Assign Quote to BigCommerce Order

Associates an existing BigCommerce order with a specific quote based on the provided `quote_id`. In order to assign a quote to an order, it must be in one of the following statuses: * New (0) * In Process (2) * Updated by Customer (3) When specifying the order to be associated with the quote, use its **BigCommerce Order ID**, not the **B2B Edition Order ID**. This endpoint **does not** convert an unpurchased quote into a new BigCommerce order. You can manually convert a quote while editing it in your B2B Edition control panel.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

quote_idstringRequired

Request

orderIdstringRequired

The B2B Edition internal order ID. Note that this is different from the BigCommerce order ID returned in the bcOrderId field.

Response

OK
codedoubleDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS
metaobject

Errors

422
Unprocessable Entity Error